                *  Programme de la carte ACQREST.
                *  ABATI Patrick octobre 1993
                *
                *  EQUIVALENCES GLOBALES:
     002B       BAUD    EQU     $2B   Registre vitesse
     002C       SCCR1   EQU     $2C   Registre format
     002D       SCCR2   EQU     $2D   Registre validation
     002E       SCSR    EQU     $2E   Registre tat
     002F       SCDR    EQU     $2F   Registre donnes
     0080       TDRE    EQU     $80   Bit TDRE=1 si Registre de transmission vi
                               de
     0020       RDRF    EQU     $20   Bit RDRF=1 si Registre de rception plein
     0004       PORTB   EQU     $4    Port B
     0006       DDRB    EQU     $6    Registre de direction du Port B
     0003       PORTC   EQU     $3    Port C
     0007       DDRC    EQU     $7    Registre de direction du Port C
     0008       PORTD   EQU     $8    Port D
     0009       DDRD    EQU     $9    Registre de direction du Port D
     0026       PACTL   EQU     $26   Registre de direction du Port A
     0040       FLAG    EQU     $40   Indicateur de fin de conversion
     003F       CONFIG  EQU     $3F   Registre de configuration watch dog et ep
                               rom
     0002       EPON    EQU     2     CONFIG-1 : EPROM INTERNE ACTIVE A 1
     0004       NOCOP   EQU     4     CONFIG-2 : PAS DE WATCH DOG SI A 1
                *  DEBUT DE LA ZONE EPROM 4K DU 68711D3
0000                    ORG     $F000      DEBUT PROG EN DEBUT EPROM
                *  DEBUT DU PROGRAMME PRINCIPAL
F000 8606       RESET   LDAA    #NOCOP+EPON      PAS DE WATCH DOG
F002 973F               STAA    <CONFIG          EPROM INTERNE ACTIVE
F004 8E00FF             LDS     #$00FF           INITIALISATION STACK SYSTEME
F007 8630               LDAA    #%00110000       Vitesse de transmission:9600 b
                               auds
F009 972B               STAA    <BAUD
                * Le registre SCCR1 est mis  zro  la suite d'un Reset
                * Le format du mot est donc: Start + 8 donnes + Stop
F00B 860C               LDAA    #%00001100       Transmission-rception autoris
                               e
F00D 972D               STAA    <SCCR2
F00F 8600               LDAA    #$00
F011 9707               STAA    <DDRC            Port C en entres
F013 86FF               LDAA    #$FF
F015 9706               STAA    <DDRB            Port B en sorties
F017 8688               LDAA    #%10001000
F019 9726               STAA    <PACTL           PA7 et PA3 en sorties
F01B 867E               LDAA    #$7E
F01D 9709               STAA    <DDRD            PD7 et PD0 en entre
F01F 8640               LDAA    #$40
F021 9708               STAA    <PORTD           PD6=1
F023 144080             BSET    Flag $80         Mise  1 du drapeau fin de con
                               version
F026 0E                 CLI                      Lever le masque d'interruption
                               s
                * Fin d'initialisation
F027 150840     Start   BCLR    PORTD $40        PD6=0 Dbut de conversion!
F02A 140840             BSET    PORTD $40        PD6=1
F02D 132E2004   Recep   BRCLR   SCSR RDRF Conv   Regitre de rception plein?
F031 962F               LDAA    <SCDR
F033 9704               STAA    <PORTB           Sortie C.N.A.!
F035 124080F4   Conv    BRSET   Flag $80 Recep   Fin de conversion?
F039 132E80F0           BRCLR   SCSR TDRE Recep  Registre de transmission vide?
F03D 9603               LDAA    <PORTC
F03F 972F               STAA    <SCDR            Sortie Port srie!
F041 20E4               BRA     Start
                * Programmes d'interruption
F043 154080     Inter   BCLR    Flag $80         Raz drapeau fin de conversion
F046 0E                 CLI                      Raz masque d'interruption
F047 3B                 RTI                      Retour au programme principal
F048 3B         RTI     RTI                      Retour sur interruptions alat
                               oires
                *  VECTEURS D'INTERRUPTIONS GENERALES (16 OCTETS EPROM)
F049                    ORG     $FFF0      POSITION DU BLOC VECTEURS (EPROM)
FFF0 F048       TIMVECT FDB     RTI        INTERRUPTION PERIODIQUE
FFF2 F043       IRQVECT FDB     Inter      INTERRUPTION BROCHE IRQ
FFF4 F048       XRQVECT FDB     RTI        INTERRUPTION BROCHE XRQ
FFF6 F048       SWIVECT FDB     RTI        INTERRUPTION SOFT
FFF8 F048       CODVECT FDB     RTI        CODE OPERATION ILLEGAL
FFFA F048       COPVECT FDB     RTI        WATCH DOG
FFFC F048       CLKVECT FDB     RTI        PROBLEME D'HORLOGE
FFFE F000       RSTVECT FDB     RESET      RESET HARD PREMIERE INSTRUCTION
                * FIN DE LA ZONE EPROM DU 68711D3
0000                    END     *          FIN DU LISTING
